List Datasets
GEThttps://api.confident-ai.com/v2/datasets
Lists all the datasets in your Confident AI project, newest first, without their goldens.
curl -X GET "https://api.confident-ai.com/v2/datasets" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"{
"success": true,
"data": {
"datasets": [
{
"id": "<DATASET-ID>",
"alias": "capitals",
"multiTurn": false
}
]
},
"deprecated": false
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Response
List Datasets succeeded.
successbooleanIndicates if the request was successful.
dataobjectShow 1 propertyHide 1 property
datasetslist of objectsThis is the list of datasets in your project, newest first.
Show 3 propertiesHide 3 properties
idstringThis is the unique id of the dataset.
aliasstringThis is the alias of the dataset, which is unique within your project.
multiTurnbooleanThis is true if the dataset is multi-turn, which contains multi-turn goldens. Single-turn datasets have
multiTurnset to false and contain single-turn goldens.
deprecatedbooleanIndicates if this endpoint is deprecated.